package jp.sourceforge.cfneo.at4ie.api.impl;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.InvokerFactory;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

import org.apache.log4j.Logger;

/**
 * ダミーのInvoker。
 * @author imaitakafumi
 *
 */
public class DummyInvoker extends Invoker {

	Logger logger = Logger.getLogger(DummyInvoker.class);

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public DummyInvoker(Context context, InvokerFactory invokerFactory, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		logger.debug(testCase.toString());
	}

}
